% Assumes databases are in NCMBase/database where NCMBase is ../../(Location of LoadTempData script)
disp('Loading thermal data')

global e x y mstruct LAv LOv jg kg nx ny Top2 AgeCorr AgeH Conductivity SurfaceTemp SurfaceTempAve ...
	SurfaceTempGradient MohoTemp LIDe TransDepth TransDepthType TransDepthOcean TransDepthTypeOcean

dr = which('LoadTempData');
k = strfind(dr,':');
if k == 2       % PC
	k = strfind(dr,'\');
else            % Mac
	k = strfind(dr,'/');
end
NCMBase = dr(1:k(length(k)-2));

dBase = [NCMBase 'database/'];

x = ncread([dBase 'NCM_SpatialGrid.nc'],'x');
y = ncread([dBase 'NCM_SpatialGrid.nc'],'y');
mstruct.origin = [24 -95];
mstruct.mapparallels = [30 45];
mstruct.scalefactor = 0.9996;
mstruct.falsenorthing = 0;
mstruct.falseeasting = 0;
mstruct.geoid = [6378137.0 0.081819190842622];

LAv = ncread([dBase 'NCM_SpatialGrid.nc'],'Latitude vector');
LOv = ncread([dBase 'NCM_SpatialGrid.nc'],'Longitude vector');
jg = ncread([dBase 'NCM_SpatialGrid.nc'],'Index j grid');
kg = ncread([dBase 'NCM_SpatialGrid.nc'],'Index k grid');

e = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Elevation');
MohoTemp = ncread([dBase 'NCM_TemperatureGrids.nc'],'Moho Temperature');
SurfaceTemp = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Temperature');
SurfaceTempAve = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Temperature Average');
SurfaceTempGradient = ncread([dBase 'NCM_TemperatureGrids.nc'],'Surface Temperature Gradient');
Conductivity = ncread([dBase 'NCM_TemperatureGrids.nc'],'Conductivity');
LIDe = ncread([dBase 'NCM_TemperatureGrids.nc'],'Moho Elevation');
Top2 = ncread([dBase 'NCM_TemperatureGrids.nc'],'Ocean Top Elevation Smooth');
Age2 = ncread([dBase 'NCM_TemperatureGrids.nc'],'Ocean Age');
AgeH = ncread([dBase 'NCM_TemperatureGrids.nc'],'Ocean Age Mask');
TransDepth = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth');
TransDepthType = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth Type');
TransDepthOcean = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth Ocean');
TransDepthTypeOcean = ncread([dBase 'NCM_TemperatureGrids.nc'],'Transition Depth Type Ocean');

[ny,nx] = size(e);

j = find(Top2 > e);
Top2(j) = e(j);

l1 = 9+((80-9)/80)*Age2;
l2 = 80*ones(size(Age2));
AgeCorr = 1./((1./l1).^10 + (1./l2).^10);
AgeCorr = AgeCorr.^(1/10);

clear l1 l2 j Age2
