# TherMod MATLAB routines ![Temperature model in the LA area, looking north. Color scale is 0 to 30 degrees C on the top and 0 to 300 degrees C n the sides. Vertical exageration is a factor of 10.](../images/LACrossSectionTemperatureSmall.png)

This program is used to extract temperature profiles and maps from the NCM thermal model
(Boyd, 2019). Running the code requires the NCM thermal model, NCM_TemperatureGrids.nc
(<https://doi.org/10.5066/P935DT1G>), and the NCM spatial grid, NCM_SpatialGrid.nc
(<https://doi.org/10.5066/P9SBQENM>). These codes and datasets are part of an effort
to produce a three dimensional national crustal model for use with seismic hazard studies.
(<https://doi.org/10.5066/P9T96Q67>)

Profiles can be returned from roughly -126 degrees to -63 degrees longitude and 22 to 53
degrees latitude. If the requested location is outside of the bounds of the NCM, a message
to that effect will be returned.

## Installation

Within matlab, add to your path the location of the TherMod matlab scripts. The LoadTempData.m
script assumes that the databases (mentioned above) are installed in NCMBase/database where
NCMBase is ../../(Location of LoadTempData.m). For example, TherMod.m might be located in
Path/NCM/TherMod/matlab. The database directory would then be in Path/NCM/database.
LoadTempData.m can be edited to allow for a different location of the database.

## Examples

See example.m for a set of examples.

## Help

Please see or query the code for help.

### Matlab Help

Any questions regarding the code and data can be directed to <olboyd@usgs.gov>.

## References

*Boyd, O.S., 2020, Temperature Model in support of the U.S. Geological Survey
National Crustal Model for Seismic Hazard Studies: U.S. Geological Survey
Open-File Report 2019–1121, 15 p., <https://doi.org/10.3133/ofr20191121>*
