"""
Author: U.S Geological Survey
Description: Returns the app version info
"""

import json

from os import path
from typing import Dict, List

from ncm_database import ncm_database_version


def thermod_version():
    with open(f"{path.dirname(__file__)}/resources/app-version.json") as file:
        return json.loads(file.read())


def thermod_versions() -> List[Dict]:
    return [
        thermod_version(),
        ncm_database_version(),
    ]
